#pragma once

#define OF_ADDON_USING_OFXXMLSETTINGS
#define OF_ADDON_USING_OFXVECTORMATH

#include "ofAddons.h"
#include "ofMain.h"

#include "baseCardScene.h"

class diagnosticScene : public baseCardScene{

	public:

		diagnosticScene();
		void setupScene();
		void render();		
		void update();
		void exit();
				
		void keyPressed( int key );
		void keyReleased( int key );
		
		void mouseMoved( int x, int y );
		void mouseDragged( int x, int y, int button );
		void mousePressed( int x, int y, int button );
		void mouseReleased(int x, int y, int button );	

	
		
};
	
		
